curl \
-H "Authorization: Bearer API_KEY" \
-X GET https://api.ayrshare.com/api/brand/search/facebook?search=facebook
const API_KEY = "API_KEY";
fetch("https://api.ayrshare.com/api/brand/search/facebook?search=facebook", {
method: "GET",
headers: {
"Authorization": `Bearer ${API_KEY}`
}
})
.then((res) => res.json())
.then((json) => console.log(json))
.catch(console.error);
import requests
headers = {'Authorization': 'Bearer API_KEY'}
r = requests.get('https://api.ayrshare.com/api/brand/search/facebook?search=facebook', headers=headers)
print(r.json())
{
"facebook": [
{
"id": "7640348500",
"isUnclaimed": false,
"link": "https://www.facebook.com/7640348500",
"location": {
"city": "New York",
"country": "United States",
"latitude": 40.782910059774,
"longitude": -73.959075808525,
"state": "NY",
"street": "1071 5th Ave",
"zip": "10128"
},
"name": "Solomon R. Guggenheim Museum",
"verificationStatus": "blue_verified"
}
]
}
Search
Search Facebook Pages
Search for Facebook Pages based on a search query
GET
/
brand
/
search
/
facebook
curl \
-H "Authorization: Bearer API_KEY" \
-X GET https://api.ayrshare.com/api/brand/search/facebook?search=facebook
const API_KEY = "API_KEY";
fetch("https://api.ayrshare.com/api/brand/search/facebook?search=facebook", {
method: "GET",
headers: {
"Authorization": `Bearer ${API_KEY}`
}
})
.then((res) => res.json())
.then((json) => console.log(json))
.catch(console.error);
import requests
headers = {'Authorization': 'Bearer API_KEY'}
r = requests.get('https://api.ayrshare.com/api/brand/search/facebook?search=facebook', headers=headers)
print(r.json())
{
"facebook": [
{
"id": "7640348500",
"isUnclaimed": false,
"link": "https://www.facebook.com/7640348500",
"location": {
"city": "New York",
"country": "United States",
"latitude": 40.782910059774,
"longitude": -73.959075808525,
"state": "NY",
"street": "1071 5th Ave",
"zip": "10128"
},
"name": "Solomon R. Guggenheim Museum",
"verificationStatus": "blue_verified"
}
]
}
Search for Facebook Pages based on a search query.
Often used for typeahead mention completion.
The response is an array of objects with the id, link, name, and location of the Page.
The
location field will only be returned for Pages with public locations.
Header Parameters
Query Parameters
string
required
Search query to find Facebook pages by name.
curl \
-H "Authorization: Bearer API_KEY" \
-X GET https://api.ayrshare.com/api/brand/search/facebook?search=facebook
const API_KEY = "API_KEY";
fetch("https://api.ayrshare.com/api/brand/search/facebook?search=facebook", {
method: "GET",
headers: {
"Authorization": `Bearer ${API_KEY}`
}
})
.then((res) => res.json())
.then((json) => console.log(json))
.catch(console.error);
import requests
headers = {'Authorization': 'Bearer API_KEY'}
r = requests.get('https://api.ayrshare.com/api/brand/search/facebook?search=facebook', headers=headers)
print(r.json())
{
"facebook": [
{
"id": "7640348500",
"isUnclaimed": false,
"link": "https://www.facebook.com/7640348500",
"location": {
"city": "New York",
"country": "United States",
"latitude": 40.782910059774,
"longitude": -73.959075808525,
"state": "NY",
"street": "1071 5th Ave",
"zip": "10128"
},
"name": "Solomon R. Guggenheim Museum",
"verificationStatus": "blue_verified"
}
]
}
⌘I
